Kling 1.5
整合
模型 id
kling-video/v1.5/pro/effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v1.5/pro/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect_scene": "heart_gesture"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v1.5/pro/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect_scene": "heart_gesture"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect_scene": "heart_gesture",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v1.5/pro/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling-video/v1.5/pro/effects",
"input": {
"effect_scene": "heart_gesture"
}
}
透過 Doitong API 呼叫 Kling 1.5 模型(kling-video/v1.5/pro/effects)。代理程式文件:https://doitong.com/zh-TW/developers/models/kling-video/v1.5/pro/effects.md
POST https://vit.doitong.com/api/v1/run/kling-video/v1.5/pro/effects?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"effect_scene": "heart_gesture"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://vit.doitong.com/api/v1/quote/kling-video/v1.5/pro/effects,可在執行前取得確切價格。
此請求: $0.50 500 API 點數 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/kling-video/v1.5/pro/effects?wait=20
報價 → $0.50
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/kling-video/v1.5/pro/effects?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"effect_scene": "heart_gesture"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v1.5/pro/effects?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"effect_scene": "heart_gesture"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"effect_scene": "heart_gesture",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v1.5/pro/effects", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling-video/v1.5/pro/effects",
"input": {
"effect_scene": "heart_gesture"
},
"wait_seconds": 20
}
}
}
關於 Kling 1.5
根據選定的 `effect_scene` 和 `input_image_urls` 中的圖片建立 5 或 10 秒影片。大多數效果需要剛好一張圖片,而 heart_gesture 需要剛好兩張。選項包括 heart_gesture、bullet_time_360、running_man、instant_christmas 等,總共 91 種。不涉及文字提示詞。
參數
名稱類型
預設值允許值
說明
enable_safety_checker選填
類型boolean
預設值true
只有經帳戶授權才能停用安全檢查;未經授權的請求一律會接受檢查。
input_image_urls選填
類型url[] · image
效果輸入圖像 URL;heart_gesture 必須提供兩個,其他效果則必須提供一個。
effect_scene必填
類型enum
heart_gesturebullet_time_360swish_swishrunning_manswing_swingbuilding_sweaterpure_white_wingsblack_wingsgolden_wingpink_pink_wingscountdown_teleportinstant_christmasbirthday_startiger_hug_propet_lion_prodrunk_dance
另有 75 個
drunk_dance_petdaoma_dancebouncy_dancesmooth_sailing_dancenew_year_greetinglion_danceprosperitygreat_successgolden_horse_fortunered_packet_boxlucky_horse_yearlucky_red_packetlucky_money_comelion_dance_petdumpling_making_petfish_making_petpet_red_packetlantern_glowexpression_challengeoverdriveheart_gesture_dancepopingmartial_artsrunningnezhamotorcycle_dancesubject_3_danceghost_step_dancephantom_jewelzoom_outcheers_2026kiss_profight_prohug_proheart_gesture_prodollar_rain_propet_bee_prosanta_random_surprisemagic_match_treehappy_birthdaythumbs_up_prosurprise_bouquetbouquet_dropglamour_photo_shootbox_of_joyfirst_toast_of_the_yearmy_santa_picsanta_giftsteampunk_christmassnowglobechristmas_photo_shootornament_crashsanta_expresscoronation_of_frostspark_in_the_snowscarlet_and_snowbullet_time_litejumping_ginger_joyvenomous_spiderthrone_of_kingluminous_elfwoodland_elfsnowboardingwitch_transformvampire_transformpumpkin_head_transformdemon_transformmummy_transformzombie_transformcute_pumpkin_transformhalloween_escapekorean_baseballgirlfriendboyfriendsplashsplash效果場景選擇,提供單圖像效果,但 multi-image 的 heart_gesture 選項除外。
duration選填
類型enum
預設值5
510
輸出影片長度,以秒為單位。
必填
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling-video/v1.5/pro/effects",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 500,
"usd": "0.50",
"charged": 500,
"refunded": 0
},
"input": {
"effect_scene": "heart_gesture"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- video
- object {url, content_type, file_name, file_size}模型產生的影片。
其他 Kling Video Effects 變體
更多模型:文字轉影片
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-video/v1.5/pro/effects.md. 所有模型與指南: https://doitong.com/developers/llms.txt